--- a/src/dialogs/OrganizeCollectionDialog.cpp
+++ b/src/dialogs/OrganizeCollectionDialog.cpp
@@ -192,7 +192,7 @@ OrganizeCollectionDialog::OrganizeCollec
     ui->organizeCollectionWidget->hide();
     ui->optionsWidget->hide();
 
-    connect( ui->folderCombo, QOverload<const QString&>::of(&QComboBox::currentIndexChanged),
+    connect( ui->folderCombo, QOverload<int>::of(&QComboBox::currentIndexChanged),
              this, &OrganizeCollectionDialog::slotUpdatePreview );
     connect( ui->organizeCollectionWidget, &OrganizeCollectionWidget::schemeChanged, this, &OrganizeCollectionDialog::slotUpdatePreview );
     connect( ui->optionsWidget, &OrganizeCollectionOptionWidget::optionsChanged, this, &OrganizeCollectionDialog::slotUpdatePreview);
@@ -201,10 +201,10 @@ OrganizeCollectionDialog::OrganizeCollec
 
     connect( this, &OrganizeCollectionDialog::accepted, ui->organizeCollectionWidget, &OrganizeCollectionWidget::onAccept );
     connect( this, &OrganizeCollectionDialog::accepted, this, &OrganizeCollectionDialog::slotDialogAccepted );
-    connect( ui->folderCombo, QOverload<const QString&>::of(&QComboBox::currentIndexChanged),
+    connect( ui->folderCombo, QOverload<int>::of(&QComboBox::currentIndexChanged),
              this, &OrganizeCollectionDialog::slotEnableOk );
 
-    slotEnableOk( ui->folderCombo->currentText() );
+    slotEnableOk( ui->folderCombo->currentIndex() );
     KWindowConfig::restoreWindowSize( windowHandle(), Amarok::config( "OrganizeCollectionDialog" ) );
 
     QTimer::singleShot( 0, this, &OrganizeCollectionDialog::slotUpdatePreview );
@@ -403,8 +403,9 @@ OrganizeCollectionDialog::slotDialogAcce
 
 //The Ok button should be disabled when there's no collection root selected, and when there is no .%filetype in format string
 void
-OrganizeCollectionDialog::slotEnableOk( const QString & currentCollectionRoot )
+OrganizeCollectionDialog::slotEnableOk( int currentCollectionRootIndex )
 {
+    QString currentCollectionRoot = ui->folderCombo->itemText( currentCollectionRootIndex );
     auto okButton = findChild<QDialogButtonBox*>()->button( QDialogButtonBox::Ok );
     if( okButton )
         okButton->setEnabled( !currentCollectionRoot.isEmpty() );
--- a/src/dialogs/OrganizeCollectionDialog.h
+++ b/src/dialogs/OrganizeCollectionDialog.h
@@ -122,7 +122,7 @@ class AMAROK_EXPORT OrganizeCollectionDi
         bool m_conflict;
 
     private Q_SLOTS:
-        void slotEnableOk( const QString & currentCollectionRoot );
+        void slotEnableOk( int currentCollectionRootIndex );
 };
 
 #endif  //AMAROK_ORGANIZECOLLECTIONDIALOG_H
--- a/src/services/lastfm/LastFmServiceSettings.cpp
+++ b/src/services/lastfm/LastFmServiceSettings.cpp
@@ -54,7 +54,7 @@ LastFmServiceSettings::LastFmServiceSett
     connect( m_configDialog->kcfg_UseFancyRatingTags, &QCheckBox::stateChanged, this, &LastFmServiceSettings::settingsChanged );
     connect( m_configDialog->kcfg_AnnounceCorrections, &QCheckBox::stateChanged, this, &LastFmServiceSettings::settingsChanged );
     connect( m_configDialog->kcfg_FilterByLabel, &QCheckBox::stateChanged, this, &LastFmServiceSettings::settingsChanged );
-    connect( m_configDialog->kcfg_FilteredLabel, QOverload<const QString&>::of( &QComboBox::currentIndexChanged ), this, &LastFmServiceSettings::settingsChanged );
+    connect( m_configDialog->kcfg_FilteredLabel, QOverload<int>::of( &QComboBox::currentIndexChanged ), this, &LastFmServiceSettings::settingsChanged );
     connect( m_configDialog->testLogin, &QPushButton::clicked, this, &LastFmServiceSettings::testLogin );
 
     using namespace Collections;
